Package org.apache.sysds.runtime.instructions.ooc

# Interface OOCStream.QueueCallback<T>

All Superinterfaces:
  `AutoCloseable`

All Known Subinterfaces:
  `OOCStream.GroupQueueCallback<T>`

All Known Implementing Classes:
  `InMemoryQueueCallback`, `OOCCacheManager.CachedGroupCallback`, `OOCCacheManager.CachedQueueCallback`, `OOCCacheManager.CachedSubCallback`, `OOCStream.SimpleQueueCallback`, `SourceOOCStream.SourceGroupCallback`

Enclosing interface:
  OOCStream<T>

public static interface OOCStream.QueueCallback<T> extends AutoCloseable

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`void`
`fail(DMLRuntimeException failure)`
`T`
`get()`
`boolean`
`isEos()`
`boolean`
`isFailure()`
`OOCStream.QueueCallback<T>`
`keepOpen()`
Keeps the callback item pinned in memory until the returned callback is also closed.

## Method Details

### get

T get()

### keepOpen

OOCStream.QueueCallback<T> keepOpen()
Keeps the callback item pinned in memory until the returned callback is also closed.

### close

void close()

Specified by:
  `close` in interface `AutoCloseable`

### fail

void fail(DMLRuntimeException failure)

### isEos

boolean isEos()

### isFailure

boolean isFailure()